cURL
curl --request POST \
--url https://gateway.varchev.com/kyc/uploadImage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-token: <x-token>' \
--data '
{
"purpose": "<string>",
"imageData": {
"id_front_side": "<string>",
"id_back_side": "<string>",
"selfie": "<string>",
"passport": "<string>"
},
"metaData": {
"type": "<string>",
"value": {
"customerId": "<string>",
"aud": "<string>",
"data": "<string>"
}
},
"organizationId": "<string>"
}
'import requests
url = "https://gateway.varchev.com/kyc/uploadImage"
payload = {
"purpose": "<string>",
"imageData": {
"id_front_side": "<string>",
"id_back_side": "<string>",
"selfie": "<string>",
"passport": "<string>"
},
"metaData": {
"type": "<string>",
"value": {
"customerId": "<string>",
"aud": "<string>",
"data": "<string>"
}
},
"organizationId": "<string>"
}
headers = {
"x-token": "<x-token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-token': '<x-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
purpose: '<string>',
imageData: {
id_front_side: '<string>',
id_back_side: '<string>',
selfie: '<string>',
passport: '<string>'
},
metaData: {
type: '<string>',
value: {customerId: '<string>', aud: '<string>', data: '<string>'}
},
organizationId: '<string>'
})
};
fetch('https://gateway.varchev.com/kyc/uploadImage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}KYC
Post upload image
POST
/
uploadImage
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
authentication token from /authorize response
Body
application/json
Sample Payload
Response
200 - application/json
successful operation
⌘I

